## mailsync 4.2.2-1

=== Makefile ===
# compiling with g++-3 worked for me with the commented lines - tpo
C = /usr/include/c-client
# C = /usr/include/c-client -I/usr/include/g++-v3/
CCLIENTLIB = /usr/lib/libc-client.so
CC = g++
#CC = g++-3.0
CFLAGS = -g  -O2 -Wall -I$(C) 
LDFLAGS = -lm -lssl

default: mailsync

mailsync: mailsync.o $(CCLIENTLIB)
	$(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS)

clean:
	rm -f mailsync mailsync.o core

=== debian/changelog ===
mailsync (4.2.2-1) unstable; urgency=high

  * new upstream

  * password can be set in store/channel
  
 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Tue, 29 Jan 2002 15:03:43 +0100

mailsync (4.2-1) unstable; urgency=high

  * fixed typo in README.Debian
  
  * added possibility to have comments in config file

  * added debug flag

  * added commented example mailsync config file. This should make it
    easier to configure mailsync: closes: #110367

  * fixed some warnings
  
  * fixed bug in mode_diff, better output too

  * more explicit output and cosmetics

  * another bug fixed which had to do with delimiters being messed up
    between 2 sites that use different ones (cyrus & pine-style-mbox folders)
  
 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Mon, 21 Jan 2002 01:44:55 +0100

mailsync (4.1-4) unstable; urgency=high

  * Added pointer to c-client library for configuration.

  * new libc-client should fix the connection problems. Gee it even
    works here ;-), closes: #104253, #96264, #98669

  * I tested it with g++-3 and it worked. I only had to add an include path. I
    guess on a correctly set up g++-3 machine the path should be correctly set by default. closes: #104964
  
 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Tue, 21 Aug 2001 11:34:40 +0200

mailsync (4.1-3) unstable; urgency=low

  * fixed my own email address :-/
  
  * made rm use -f(orce) to remove maybe unexisting core files

 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Fri,  4 May 2001 16:44:38 -0400

mailsync (4.1-2) unstable; urgency=low

  * fixed dependency: closes: #94075

 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Sun, 15 Apr 2001 21:29:09 -0400

mailsync (4.1-1) unstable; urgency=low

  * Initial Release.
  * Sponsored by Jaldhar H. Vyas <jaldhar@debian.org>

 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Mon,  2 Apr 2001 18:28:09 -0400

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: mailsync
Section: non-us/main
Priority: optional
Maintainer: Tomas Pospisek <tpo_deb@sourcepole.ch>
Build-Depends: debhelper (>> 3.0.0), libc-client-ssl2001-dev, libssl-dev
Standards-Version: 3.5.2

Package: mailsync
Architecture: any
Depends: ${shlibs:Depends}
Description: Synchronize IMAP mailboxes
 Mailsync is a way of keeping a collection of mailboxes synchronized. The
 mailboxes may be on the local filesystem or on an IMAP server.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	@# Add here commands to configure the package.
	

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	@# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	@# dh_testroot
	rm -f build-stamp configure-stamp

	@# Add here commands to clean up after the build process.
	-rm -f mailsync *.o core

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	@# Add here commands to install the package into debian/mailsync.
	install -o root -g root -m 0755 mailsync $(CURDIR)/debian/mailsync/usr/bin


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman mailsync.1
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## mailsync 5.2.2-1

=== debian/changelog ===
mailsync (5.2.2-1) unstable; urgency=low

  * remove build-dependency on automake1.6, since it's been removed from the
    archive (thanks Martin Michlmayr)                       closes: 355317

 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Sun, 05 Mar 2006 20:36:54 +0100

mailsync (5.2.1-2) unstable; urgency=low

  * debian:
    * remove build-dependency on the automake1.5 package, which is no
      more existant. (Thanks Lamont!)                       closes: #257379

 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Sat, 03 Jul 2004 15:35:28 +0200

mailsync (5.2.1-1) unstable; urgency=low

  * new in upstream:                                        closes: #256832
    * #mh folders should work better
    * mailsync shouldn't possibly be messing with flags at all if the
      mailbox (IMAP f.ex) allows it. Check the "-n" option for most
      restricted flag handling.
    * don't delete duplicate messages with empty Message-IDs
    * not exiting any more on stores without subdirs
    * don't show message IDs by default
    * "-n" has a new meaning: do not delete messages
  * debian:
    * depend on automake1.5|1.6|1.7 since 1.4 doesn't provide depcomp
                                                            closes: #191221
    * the package should be buildable on woody out of the box. Further docu
      for compiling under woody is in README.Debian (thanks Mike Crowe).

 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Wed, 30 Jun 2004 08:52:26 +0200

mailsync (5.1.1-1) unstable; urgency=high

  * new in upstream:
    * not properly expunging emails fixed - visible with #mh folders

 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Tue, 15 Apr 2003 09:21:34 +0200

mailsync (5.1.0-3) unstable; urgency=high

  * new in upstream:
    * warn about empty Message-IDs when using the default msg id algorithm.
    * -di debug/log IMAP telemetry/protocol
    * -dc debug configuration
    * fixed traversing some boxes twice
  * debian:
    * dpkg-buildpackage -i excludes .deps which are needed. Sigh. Hyper-ugly
      dpkg-buildpackage commandline (included) is now required for building
      the package. (bugreport: Bdale/builddaemon)           closes: #186943
    * skipping 5.1.0-2 - upload of that version failed

 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Thu, 03 Apr 2003 10:12:16 +0200

mailsync (5.1.0-1) unstable; urgency=high

  * new upstream:
    * reengineered source and split in smaller pieces
    * optional md5 msg-ids
    * new courier config example
    * synching of mailboxes containing submailboxes and messages should
      be possible now
    * diff mode is documented
    * Solaris autoconf
  * debian:
    * libc-client-dev now contains libkrb5-dev dependency
      (thanks Ryan Murray, Jonas Smedegaard)                closes: #181353
    * moved to libc-client 2003
      (thanks LaMont, J.Guasch)                    closes: #185168, #182245
  
 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Wed, 26 Mar 2003 11:03:33 +0100

mailsync (4.5.3-2) unstable; urgency=high

  * debian changes:
    * fixed bug in rules script (thanks for report C.T.Steigies)
                                                            closes: #180745
  
 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Wed, 12 Feb 2003 16:03:08 +0100

mailsync (4.5.3-1) unstable; urgency=high

  * new upstream features:
    * simulate option
    * size limit (contributed by Michael Krelin)
    * better error handling
    * reading in c-client config
    * #mh examples
    * bugfixes (Michael & me)
  * debian changes:
    * removed libkrb-dev and libssl-dev from depends since that's pulled
      in by libc-client2002-dev now (thanks Jaldhar, C.Watson, M.Zimmermann,
      W.Verhelst)
    * changed order in which libc-client apears in order to pull in
      openssl0.9.6 (thanks S.Frost for pointing put the problem)
                                                            closes: #179999
    * added mh store to mailsync config example in docu     closes: #150393
  
 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Wed, 12 Feb 2003 09:55:17 +0100

mailsync (4.4.4-2) unstable; urgency=high

  * fixed build dependency (thanks lamont)                  closes: #168161
  
 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Thu, 07 Nov 2002 18:34:21 +0100

mailsync (4.4.4-1) unstable; urgency=high

  * new upstream
  * new upsteam features:
    * gentler failure
    * more log options
  * closes: #167826 (thanks to Steve McIntyre's very good bug report!)
  
 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Wed, 06 Nov 2002 12:00:25 +0100

mailsync (4.4.3-1) unstable; urgency=high

  * new upstream
  
 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Wed, 16 Oct 2002 14:13:35 +0200

mailsync (4.4.2-1) unstable; urgency=high

  * new upstream
  * fixes problem with new messages not getting marked as "new" in mutt
  
 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Wed, 16 Oct 2002 14:13:35 +0200

mailsync (4.4.1-1) unstable; urgency=high

  * new upstream
  
 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Tue, 27 Aug 2002 16:41:56 +0200

mailsync (4.3.1-3) unstable; urgency=high

  * censored myself to get this package past the ftpmasters
  
 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Mon, 17 Jun 2002 13:30:52 +0200

mailsync (4.3.1-1) unstable; urgency=high

  * Debian License Zealotry Addendum (Debian Trade Mark): Linking with OpenSSL
    is fine (confirmed by both upstream authors Tim and myself)
  * changed VERSION in source
  
 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Thu, 18 Apr 2002 16:36:30 +0200

mailsync (4.3-1) unstable; urgency=high

  * moving to main from non-us
  * fixed segfault (thanks for bugreport Alain Tesio!)		closes: #141238
  * added RH build docu (thanks Aly Dharshi!)
  * the _only_ code change is the segfault fix -> please include in woody
  
 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Mon, 15 Apr 2002 20:12:20 +0200

## mailsync 5.2.2-1build2

=== debian/changelog ===
mailsync (5.2.2-1build2) hardy; urgency=low

  * Really rebuild against new libc-client.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Wed, 09 Apr 2008 10:29:19 +0200

mailsync (5.2.2-1build1) hardy; urgency=low

  * Rebuild against new libc-client

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sat, 05 Jan 2008 18:51:46 +0100

## mailsync 5.2.2-1build3

=== debian/changelog ===
mailsync (5.2.2-1build3) intrepid; urgency=low

  * Rebuild for libc-client2007 -> libc-client2007b transition.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Mon, 18 Aug 2008 07:19:47 +0000

## mailsync 5.2.2-1build6

=== debian/changelog ===
mailsync (5.2.2-1build6) jaunty; urgency=low

  * Rebuild for the libc-client2007b transition.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sat, 24 Jan 2009 15:58:46 +0100

mailsync (5.2.2-1build5) jaunty; urgency=low

  * Rebuild for the libc-client2007b transition.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Mon, 22 Dec 2008 10:24:35 +0000

mailsync (5.2.2-1build4) jaunty; urgency=low

  * Rebuild for the libc-client2007d transition.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Fri, 14 Nov 2008 20:40:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: mailsync
-Section: non-us/main
+Section: mail
 Priority: optional
 Maintainer: Tomas Pospisek <tpo_deb@sourcepole.ch>
-Build-Depends: debhelper (>> 3.0.0), libc-client-ssl2001-dev, libssl-dev
+Build-Depends: debhelper (>> 3.0.0), libc-client-dev | libc-client-ssl2001-dev, libc-client-dev | libkrb5-dev, automake1.7
 Standards-Version: 3.5.2
 
 Package: mailsync

## mailsync 5.2.2-1build7

=== debian/changelog ===
mailsync (5.2.2-1build7) karmic; urgency=low

  * No-change rebuild against libkrb5-3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 10 Sep 2009 10:03:27 +0000

## mailsync 5.2.2-1build8

=== debian/changelog ===
mailsync (5.2.2-1build8) lucid; urgency=low

  * No-change rebuild for libc-client2007b -> libc-client2007e
    transition.

 -- Ilya Barygin <barygin@gmail.com>  Sat, 27 Mar 2010 10:40:14 +0300

## mailsync 5.2.2-1ubuntu1

=== debian/changelog ===
mailsync (5.2.2-1ubuntu1) oneiric; urgency=low

  * Fix FTBFS:
    - debian/rules, acinclude/ac_with_openssl.m4, configure: provide an
      additional directory to search for libssl.
    - add missing build dependencies: libssl-dev, libpam0g-dev, libkrb5-dev.
  * Rebuild gets rid of binary dependency on libssl0.9.8.

 -- Ilya Barygin <barygin@gmail.com>  Sun, 21 Aug 2011 13:50:14 +0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: mailsync
 Section: mail
 Priority: optional
-Maintainer: Tomas Pospisek <tpo_deb@sourcepole.ch>
-Build-Depends: debhelper (>> 3.0.0), libc-client-dev | libc-client-ssl2001-dev, libc-client-dev | libkrb5-dev, automake1.7
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Tomas Pospisek <tpo_deb@sourcepole.ch>
+Build-Depends: debhelper (>> 3.0.0), libc-client-dev | libc-client-ssl2001-dev, libkrb5-dev, libssl-dev, libpam0g-dev, automake1.7
 Standards-Version: 3.5.2
 
 Package: mailsync

=== debian/rules ===
--- 
+++ 
@@ -8,19 +8,33 @@
 # This is the debhelper compatability version to use.
 export DH_COMPAT=3
 
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH) 
+export LIBDIRS := /lib/$(DEB_HOST_MULTIARCH)
+
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	@# Add here commands to configure the package.
-	
+	@# we need depcomp in order to be able to build
+	for i in / -1.4/ -1.5/ -1.6/ -1.7/; do                              \
+	   if [ ! "$$found" = "1" -a -e /usr/share/automake$${i}depcomp ] ; \
+	    then                                                            \
+	     ln -s /usr/share/automake$${i}depcomp depcomp                ; \
+	     ln -s /usr/share/automake$${i}install-sh install-sh          ; \
+	     ln -s /usr/share/automake$${i}missing missing                ; \
+	     ln -s /usr/share/automake$${i}mkinstalldirs mkinstalldirs    ; \
+		 found=1                                                      ; \
+	   fi                                                             ; \
+	done
+
+	@# Add here commands to compile the package.
+	./configure --prefix=/usr
 
 	touch configure-stamp
-
+	
 build: configure-stamp build-stamp
 build-stamp:
 	dh_testdir
 
-	@# Add here commands to compile the package.
 	$(MAKE)
 
 	touch build-stamp
@@ -31,7 +45,11 @@
 	rm -f build-stamp configure-stamp
 
 	@# Add here commands to clean up after the build process.
-	-rm -f mailsync *.o core
+	-$(MAKE) distclean
+	-rm -f core
+
+	@# remove symlinks
+	-rm install-sh mkinstalldirs missing depcomp
 
 	dh_clean
 
@@ -42,7 +60,8 @@
 	dh_installdirs
 
 	@# Add here commands to install the package into debian/mailsync.
-	install -o root -g root -m 0755 mailsync $(CURDIR)/debian/mailsync/usr/bin
+	install -o root -g root -m 0755 \
+	        src/mailsync $(CURDIR)/debian/mailsync/usr/bin
 
 
 # Build architecture-independent files here.
@@ -53,8 +72,8 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installdocs
-	dh_installman mailsync.1
+	dh_installdocs -XCVS
+	dh_installman doc/mailsync.1
 	dh_installchangelogs 
 	dh_link
 	dh_strip

## mailsync 5.2.2-1.1

=== debian/changelog ===
mailsync (5.2.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: configure: error: a working c-client installation is
    required for building mailsync": apply patch from Ubuntu / Ilya Barygin:
    * Fix FTBFS:
      - debian/rules, acinclude/ac_with_openssl.m4, configure: provide an
        additional directory to search for libssl.
      - add missing build dependencies: libssl-dev, libpam0g-dev, libkrb5-dev.
    (Closes: #642689)
  * Additionally build depend on dpkg-dev >= 1.16.0.

 -- gregor herrmann <gregoa@debian.org>  Sat, 12 Nov 2011 15:57:57 +0100

=== debian/control ===
Source: mailsync
Section: mail
Priority: optional
Maintainer: Tomas Pospisek <tpo_deb@sourcepole.ch>
Build-Depends: debhelper (>> 3.0.0), libc-client-dev | libc-client-ssl2001-dev, libc-client-dev | libkrb5-dev, automake1.7, dpkg-dev (>= 1.16.0)
Standards-Version: 3.5.2

Package: mailsync
Architecture: any
Depends: ${shlibs:Depends}
Description: Synchronize IMAP mailboxes
 Mailsync is a way of keeping a collection of mailboxes synchronized. The
 mailboxes may be on the local filesystem or on an IMAP server.

## mailsync 5.2.2-2

=== debian/changelog ===
mailsync (5.2.2-2) unstable; urgency=low

  * thanks a lot to Gregor Herrmann and Ilya Barygin for the previous NMU
  * debian/control: migrate from automake1.7 to automake1.11 (Closes: #648586)
    * thanks to Eric Dorland for pointing out the way forward
  * debian/control: bump Standards-Version to 3.8.4.0
    * doc/examples/mailsync: s#/var/spool/mail#/var/mail#
  * debian/rules: bump DH_COMPAT to 7 
    * debian/control: add ${misc:Depends} to "Depends:" field
  * debian/control: add "Homepage:" field

 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Sun, 15 Jan 2012 13:48:23 +0100

=== debian/control ===
Source: mailsync
Section: mail
Priority: optional
Maintainer: Tomas Pospisek <tpo_deb@sourcepole.ch>
Build-Depends: debhelper (>> 3.0.0), libc-client-dev | libc-client-ssl2001-dev, libc-client-dev | libkrb5-dev, automake1.11, dpkg-dev (>= 1.16.0)
Standards-Version: 3.8.4.0
Homepage: http://mailsync.sourceforge.net/

Package: mailsync
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Synchronize IMAP mailboxes
 Mailsync is a way of keeping a collection of mailboxes synchronized. The
 mailboxes may be on the local filesystem or on an IMAP server.

## mailsync 5.2.2-3

=== debian/changelog ===
mailsync (5.2.2-3) unstable; urgency=high

  * set urgency=high because libc-client broke mailsync and the
    mailsync currently in wheezy and to be released will not even
    start. See next changelog entry and also #682256 and #686393 
  * debian/control: rebuild against and depend on libc-client2007e
    (>= 8:2007f~dfsg-1) since c-client broke its own library
    version checks. Thanks Fredrik Jonson (Closes: #685897)
  * debian/copyright: made machine readable
  * debian/compat: added
  * debian/control: added
  * a question to my 23 users (according to popcon): is it worth
    to maintain this package? Wouldn't it maybe be wiser to migrate
    to open. If you care about this package then please let me know.

 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Tue, 04 Sep 2012 21:50:01 +0200

=== debian/control ===
Source: mailsync
Section: mail
Priority: optional
Maintainer: Tomas Pospisek <tpo_deb@sourcepole.ch>
# see #685897
#Build-Depends: debhelper (>> 3.0.0), libc-client-dev | libc-client-ssl2001-dev, libc-client-dev | libkrb5-dev, automake1.11, dpkg-dev (>= 1.16.0)
Build-Depends: debhelper (>> 3.0.0), libc-client2007e-dev (>= 8:2007f~dfsg-1), automake1.11, dpkg-dev (>= 1.16.0)
Standards-Version: 3.9.3.1
Homepage: http://mailsync.sourceforge.net/

Package: mailsync
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libc-client2007e (>= 8:2007f~dfsg-1)
Description: Synchronize IMAP mailboxes
 Mailsync is a way of keeping a collection of mailboxes synchronized. The
 mailboxes may be on the local filesystem or on an IMAP server.

## mailsync 5.2.2-3ubuntu1

=== debian/changelog ===
mailsync (5.2.2-3ubuntu1) quantal; urgency=low

  * Revert libc-client workaround for now, as Ubuntu 12.10 ships with
    libc-client 2007e, not 2007f.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 09 Oct 2012 19:29:40 +0100

=== debian/control ===
Source: mailsync
Section: mail
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Tomas Pospisek <tpo_deb@sourcepole.ch>
Build-Depends: debhelper (>> 3.0.0), libc-client-dev | libc-client-ssl2001-dev, libc-client-dev | libkrb5-dev, automake1.11, dpkg-dev (>= 1.16.0)
Standards-Version: 3.9.3.1
Homepage: http://mailsync.sourceforge.net/

Package: mailsync
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Synchronize IMAP mailboxes
 Mailsync is a way of keeping a collection of mailboxes synchronized. The
 mailboxes may be on the local filesystem or on an IMAP server.

## mailsync 5.2.2-3.1

=== debian/changelog ===
mailsync (5.2.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add libkrb5-dev as an explicit build-depend to fix FTBFS (Closes: #768736)
    - Thanks to Simon Elsbrock for the patch

 -- Scott Kitterman <scott@kitterman.com>  Sat, 15 Nov 2014 01:08:53 -0500

=== debian/control ===
Source: mailsync
Section: mail
Priority: optional
Maintainer: Tomas Pospisek <tpo_deb@sourcepole.ch>
# see #685897
#Build-Depends: debhelper (>> 3.0.0), libc-client-dev | libc-client-ssl2001-dev, libc-client-dev | libkrb5-dev, automake1.11, dpkg-dev (>= 1.16.0)
Build-Depends: debhelper (>> 3.0.0), libc-client2007e-dev (>= 8:2007f~dfsg-1), automake1.11, dpkg-dev (>= 1.16.0), libkrb5-dev
Standards-Version: 3.9.3.1
Homepage: http://mailsync.sourceforge.net/

Package: mailsync
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libc-client2007e (>= 8:2007f~dfsg-1)
Description: Synchronize IMAP mailboxes
 Mailsync is a way of keeping a collection of mailboxes synchronized. The
 mailboxes may be on the local filesystem or on an IMAP server.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=3
+export DH_COMPAT=7
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH) 
 export LIBDIRS := /lib/$(DEB_HOST_MULTIARCH)
@@ -15,7 +15,7 @@
 configure-stamp:
 	dh_testdir
 	@# we need depcomp in order to be able to build
-	for i in / -1.4/ -1.5/ -1.6/ -1.7/; do                              \
+	for i in / -1.4/ -1.5/ -1.6/ -1.7/ -1.11/; do                              \
 	   if [ ! "$$found" = "1" -a -e /usr/share/automake$${i}depcomp ] ; \
 	    then                                                            \
 	     ln -s /usr/share/automake$${i}depcomp depcomp                ; \

## mailsync 5.2.2-3.1b2

=== debian/changelog ===
mailsync (5.2.2-3.1b2) staging; urgency=medium

  * No-change rebuild against libssl1.0.2

 -- Tanglu AutoRebuilder <dak-rebuild@ftp-master.tanglu.org>  Tue, 17 Nov 2015 06:25:39 +0100

mailsync (5.2.2-3.1b1) staging; urgency=high

  * No-change rebuild against libstdc++6

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 30 Aug 2015 14:31:46 +0000

## mailsync 5.2.2-3.1build1

=== debian/changelog ===
mailsync (5.2.2-3.1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:34:06 +0000

## mailsync 5.2.2-3.1build2

=== debian/changelog ===
mailsync (5.2.2-3.1build2) eoan; urgency=medium

  * No change rebuild to pick up libc-client2007e-dev. (LP: #1834340)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Tue, 13 Aug 2019 11:01:00 -0300

## mailsync 5.2.2-3.1build3

=== debian/changelog ===
mailsync (5.2.2-3.1build3) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:48:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mailsync
 Section: mail
 Priority: optional
-Maintainer: Tomas Pospisek <tpo_deb@sourcepole.ch>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Tomas Pospisek <tpo_deb@sourcepole.ch>
 # see #685897
 #Build-Depends: debhelper (>> 3.0.0), libc-client-dev | libc-client-ssl2001-dev, libc-client-dev | libkrb5-dev, automake1.11, dpkg-dev (>= 1.16.0)
 Build-Depends: debhelper (>> 3.0.0), libc-client2007e-dev (>= 8:2007f~dfsg-1), automake1.11, dpkg-dev (>= 1.16.0), libkrb5-dev

## mailsync 5.2.7

=== debian/changelog ===
mailsync (5.2.7-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove need for root when building the package.
    (Closes: #1089384)
  * Replace `dh_clean -k` with `dh_prep`.

 -- Niels Thykier <niels@thykier.net>  Wed, 01 Jan 2025 18:34:42 +0000

mailsync (5.2.7-3.2) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to source format 3.0 (Closes: #1049924)

 -- Bastian Germann <bage@debian.org>  Wed, 16 Aug 2023 20:56:23 +0000

mailsync (5.2.7-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep} (Closes: #998950).

 -- Marcos Talau <talau@debian.org>  Thu, 03 Nov 2022 18:39:28 -0300

mailsync (5.2.7-3) unstable; urgency=low

  * Update aclocal.m4 during build. Hopefully this should make
    debian/rules work with future automake releases. Thanks
    Adrian Bunk for reporting! (Closes: #974578)

 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Sun, 15 Nov 2020 19:55:25 +0100

mailsync (5.2.7-2) unstable; urgency=low

  * support syncing mails from Microsoft's mail software that
    generates folded Message-ID fields with a linefeed break
    for RFC's sake!

  * do not include ~/.git in tarball

 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Tue, 10 Nov 2020 19:30:08 +0100

mailsync (5.2.6-1) unstable; urgency=low

  * support automake1.16 (Closes: #865189)
    - Thanks a lot Simon McVittie for reporting this and extensive
      explanation and pointers!
  * add tests

 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Sat, 07 Nov 2020 23:31:42 +0100

mailsync (5.2.5-1) unstable; urgency=low

  * diff mode works again

 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Fri, 06 Nov 2020 22:55:14 +0100

mailsync (5.2.4-1) unstable; urgency=low

  * Fix othography: s/enveloppe/envelope/
  * improve wording

 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Wed, 28 Oct 2020 09:11:23 +0100

mailsync (5.2.3-1) unstable; urgency=low

  * MiniDebConf@Vaumarcus and EmacsConf@Zürich release.
    Thanks a lot to Didier Raboud and team and 200ok
    for providing the opportunities to hack on stuff!

  * merge internal changes with FTBFS fixes
    thanks a lot Scott Kitterman and Simon Elsbrock!

  * move to pkg-config
    thanks to  Joost van Baal-Ilić for leading me!

  * remove all checks for transitive libraries. Only
    check for c-client and not its dependencies.

 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Sat, 02 Nov 2019 16:31:06 +0100

mailsync (5.2.3~pre2-1) unstable; urgency=low

  * upstream changes:
    * fix prefix matching bug
    * don't segfault when migrating to -t md5
      (https://sourceforge.net/tracker/?group_id=6374&atid=106374)
  * THIS IS AN UNRELEASED PRE-RELEASE

 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Sat, 26 Jan 2013 12:54:44 +0100

=== debian/control ===
Source: mailsync
Section: mail
Priority: optional
Maintainer: Tomas Pospisek <tpo_deb@sourcepole.ch>
# see #685897
#Build-Depends: debhelper (>> 3.0.0), libc-client-dev | libc-client-ssl2001-dev, libc-client-dev | libkrb5-dev, automake1.11, dpkg-dev (>= 1.16.0)
# libkrb5-dev see #768736
# * automake < 1.17 because it's not tested with automat > 1.16 and
#   debian/rules needs to be adapted
Build-Depends: debhelper (>> 3.0.0), libc-client2007e-dev (>= 8:2007f~dfsg-1), automake, dpkg-dev (>= 1.16.0), libkrb5-dev
Rules-requires-Root: no
Standards-Version: 3.9.3.1
Homepage: http://mailsync.sourceforge.net/

Package: mailsync
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libc-client2007e (>= 8:2007f~dfsg-1)
Description: Synchronize IMAP mailboxes
 Mailsync is a tool for synchronizing a collection of mailboxes.
 The mailboxes may be on the local filesystem or on an IMAP server.

=== debian/rules ===
--- 
+++ 
@@ -14,23 +14,20 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	@# we need depcomp in order to be able to build
-	for i in / -1.4/ -1.5/ -1.6/ -1.7/ -1.11/; do                              \
-	   if [ ! "$$found" = "1" -a -e /usr/share/automake$${i}depcomp ] ; \
-	    then                                                            \
-	     ln -s /usr/share/automake$${i}depcomp depcomp                ; \
-	     ln -s /usr/share/automake$${i}install-sh install-sh          ; \
-	     ln -s /usr/share/automake$${i}missing missing                ; \
-	     ln -s /usr/share/automake$${i}mkinstalldirs mkinstalldirs    ; \
-		 found=1                                                      ; \
-	   fi                                                             ; \
-	done
+	@# recreate among others aclocal.m4 which needs to be done
+	@# on automake upgrades. We do this here in the hopes to
+	@# stay compatible with future automake releases.
+	autoreconf -fi
+	@# link `depcomp`, `install-sh` and `missing` that we need in
+	@# order to be able to build. `automake -a` is supported since
+	@# automake 1.5
+	automake -a
 
 	@# Add here commands to compile the package.
 	./configure --prefix=/usr
 
 	touch configure-stamp
-	
+
 build: configure-stamp build-stamp
 build-stamp:
 	dh_testdir
@@ -56,11 +53,11 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	@# Add here commands to install the package into debian/mailsync.
-	install -o root -g root -m 0755 \
+	install -m 0755 \
 	        src/mailsync $(CURDIR)/debian/mailsync/usr/bin
 
 
@@ -86,4 +83,8 @@
 	dh_builddeb
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install configure
+
+build-arch: build
+build-indep: build
+
+.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install configure

## mailsync 5.2.7-2

=== debian/rules ===
--- 
+++ 
@@ -14,10 +14,6 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	@# recreate among others aclocal.m4 which needs to be done
-	@# on automake upgrades. We do this here in the hopes to
-	@# stay compatible with future automake releases.
-	autoreconf -fi
 	@# link `depcomp`, `install-sh` and `missing` that we need in
 	@# order to be able to build. `automake -a` is supported since
 	@# automake 1.5
@@ -27,7 +23,7 @@
 	./configure --prefix=/usr
 
 	touch configure-stamp
-
+	
 build: configure-stamp build-stamp
 build-stamp:
 	dh_testdir
@@ -53,11 +49,11 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_prep
+	dh_clean -k
 	dh_installdirs
 
 	@# Add here commands to install the package into debian/mailsync.
-	install -m 0755 \
+	install -o root -g root -m 0755 \
 	        src/mailsync $(CURDIR)/debian/mailsync/usr/bin
 
 
@@ -83,8 +79,4 @@
 	dh_builddeb
 
 binary: binary-indep binary-arch
-
-build-arch: build
-build-indep: build
-
-.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install configure
+.PHONY: build clean binary-indep binary-arch binary install configure

## mailsync 5.2.7-3

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
 # * automake < 1.17 because it's not tested with automat > 1.16 and
 #   debian/rules needs to be adapted
 Build-Depends: debhelper (>> 3.0.0), libc-client2007e-dev (>= 8:2007f~dfsg-1), automake, dpkg-dev (>= 1.16.0), libkrb5-dev
-Rules-requires-Root: no
 Standards-Version: 3.9.3.1
 Homepage: http://mailsync.sourceforge.net/

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,10 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
+	@# recreate among others aclocal.m4 which needs to be done
+	@# on automake upgrades. We do this here in the hopes to
+	@# stay compatible with future automake releases.
+	autoreconf -fi
 	@# link `depcomp`, `install-sh` and `missing` that we need in
 	@# order to be able to build. `automake -a` is supported since
 	@# automake 1.5
